Ubuntu 16.04 搭建IKEv2 VPN踩坑

详细步骤在这里:

https://www.digitalocean.com/community/tutorials/how-to-set-up-an-ikev2-vpn-server-with-strongswan-on-ubuntu-16-04

但是,但是,这里有坑,第一步安装的依赖库,在Ubuntu16.04+自动解决依赖时少了一个。。。

安装完成后,Mac连接VPN会报如下错误:

大概意思是某个OPENSSL支持的加密算法插件没有加载,结果上面那个配置手册里面还正好是这个,最后的FIX是通过安装libcharon-standard-plugins来加载上就OK了。

 

参考:

https://github.com/jawj/IKEv2-setup/issues/12

PS:

Vultr邀请码:https://www.vultr.com/?ref=7258769



Leave a Reply

Your email address will not be published.